# a = 20
# b = 40
# c = 12
# d = 27
# #     5 6 7
# # 2   10 12 14
# # 3
# # 4
#
# print('\t', end='')
# for i in range(a, b+1):
#     print(i, end='\t')
# print()
#
# for i in range(c, d+1):
#     print(i, end='\t')
#     for x in range(a, b+1):
#         res = i * x
#         print(res, end='\t')
#     print()

# Напомним, что високосными годами считаются те годы, порядковый номер которых либо кратен 4,
# но при этом не кратен 100, либо кратен 400 (например, 2000-й год являлся високосным, а 2100-й будет невисокосным годом).
# Программа должна корректно работать на числах 1900≤n≤3000.
# Выведите "Високосный" в случае, если считанный год является високосным и "Обычный"
# в обратном случае (не забывайте проверять регистр выводимых программой символов).

# year = int(input())
# if year % 4 == 0 and year % 100 != 0 or year % 400 == 0:
#     print('Високосный')
# else:
#     print("Обычный")

# S=
# p(p−a)(p−b)(p−c)
# ​

# a = int(input())
# b = int(input())
# c = int(input())
#
# p = (a + b + c)/2
#
# S = (p*(p-a)*(p-b)*(p-c))**(1/2)
# print(S)


# (−15,12]∪(14,17)∪[19,+∞)

num = int(input())
if -15 < num <= 12 or 14 < num < 17 or num >= 19:
    print(True)
else:
    print(False)